var pub = {};
pub.delLastChar =function(str,word){ //如果尾部最后一个字符为指定字符，则删除它
    if (str.slice(-1)==word){
        str = str.substring(0, str.length - 1);
    }
    return str;
}
pub.isnum = function(str){
        var reg =/^[0-9]*$/
        if (reg.test(str)) {
            return true;
        }
        return false;  

}
pub.replaceAll = function(str,s1,s2){
    return str.split(s1).join(s2);
}
pub.arry2FindAndDel = function(array,col,value){//搜索二维数组中第col列值是否为value ，如果是删除该行
    log("找"+col+"列，值"+value)
    for (let i=0;i<array.length;i++){
        if (array[i][col]==value){
            log("找到此值，列"+i)
            log("array首行首列："+array[0][0])
            array=pub.arry2DelRow(array,i)
            log("array首行首列："+array[0][0])
            i--
        }
    }
    return array;
}
pub.arry2Find = function(array,col,value){//搜索二维数组中第col1列值为value1，且第col2列值为value2  找到返回行索引，找不到返回-1
    for (let i=0;i<array.length;i++){
        if (array[i][col]==value){
            //log("找到此值，列"+i)
            return i
        }
    }
    return -1;
}
pub.arry2FindDb = function(array,col1,value1,col2,value2){//搜索二维数组中第col1列值为value1，且第col2列值为value2 找到返回行索引，找不到返回-1
    for (let i=0;i<array.length;i++){
        log("遍历"+array[i][col1]+"|"+value1+"|"+array[i][col2]+"|"+value2)
        if (array[i][col1]==value1 && array[i][col2]==value2){
            //log("找到此值，列"+i)
            return i
        }
    }
    return -1;
}
pub.arry2FindAndDelDb = function(array,col1,value1,col2,value2){//搜索二维数组中第col1列值为value1，且第col2列值为value2 ，如果是删除该行
    for (let i=0;i<array.length;i++){
        log("遍历"+array[i][col1]+"|"+value1+"|"+array[i][col2]+"|"+value2)
        if (array[i][col1]==value1 && array[i][col2]==value2){
            //log("找到此值，列"+i)
            //log("数组删除前行数"+array.length)
            array=pub.arry2DelRow(array,i)
            //log("数组删除后行数"+array.length)
            i--
        }
    }
    return array;
}
pub.arry2ObjFindDb = function(array,value1,value2){//搜索二维数组中ip列值为value1，且mid列值为value2；找到后返回行索引，找不到返回-1；此数组元素为对象。
    for (let i=0;i<array.length;i++){
        log("找这"+array[i].ip+" "+value1+"|"+array[i].mid+" "+value2)
        if (array[i].ip == value1 && array[i].mid == value2){
            //log("找到此值，列"+i)
            //log("数组删除前行数"+array.length)
            return i;
            //log("数组删除后行数"+array.length)
            i--
        }
    }
    return -1;
}
pub.arry2ObjFindAndDel = function(array,value){//搜索二维数组中ip列值为value ，如果是删除该行；此数组元素为对象。
    for (let i=0;i<array.length;i++){

        if (array[i].ip==value){
            //log("找到此值，列"+i)
            //log("数组删除前行数"+array.length)
            array=pub.arry2DelRow(array,i)
            //log("数组删除后行数"+array.length)
            i--
        }
    }
    return array;
}
pub.arry2ObjFindAndDelDb = function(array,value1,value2){//搜索二维数组中ip列值为value1，且mid列值为value2 ，如果是删除该行；此数组元素为对象。
    for (let i=0;i<array.length;i++){

        if (array[i].ip==value1 && array[i].mid==value2){
            //log("找到此值，列"+i)
            //log("数组删除前行数"+array.length)
            array=pub.arry2DelRow(array,i)
            //log("数组删除后行数"+array.length)
            i--
        }
    }
    return array;
}
pub.arry2DelRow = function(array,row){ //删除二维数组中某行
    //log("二维删行前首行首列："+array[0][0])
    if (row>array.length-1) return array
    var result = [];
    for (let i=0;i<array.length;i++){
        if (i != row){
            //log("推入"+array[i])
            result.push(array[i])
            //log("此时"+result)
        }
    }
    return result
}

pub.hex2Bin = function (str){ //支持中文和英文 且与AU3 StringToHex兼容
    if (typeof(str) == "undefined") return;
    var ret ="";
    var tmp ="";
    for (var i=0;i<str.length-1;i+=2){
        var c=String.fromCharCode(parseInt(str.substr(i,2),16));
        if (c.charCodeAt()>127){
            tmp += '%'+str.substr(i,2);
            if (tmp.length==9){
                ret += decodeURIComponent(tmp);
                tmp = "";                
            }
        }else{
            ret += c.toString(16);            
        }
    }
        return ret;    
}
pub.bin2Hex = function (str) { //即可转字符也可转中文 且与AU3 StringToHex兼容
    let re = /[\u4E00-\u9FA5]/
    let ar = []
    for (let i = 0; i < str.length; i++) {
      let a = ''
      if (re.test(str.charAt(i))) { // 中文
          a = encodeURI(str.charAt(i)).replace(/%/g, '')
      } else {
          a = str.charCodeAt(i).toString(16)
      }
      ar.push(a)
    }
    str = ar.join('')
    return str
  }

pub.between = function (txt,start,over){
    if (txt==null||(start==""&&over=="")) return ""
    if (start==""){
        if (txt.indexOf(over)>-1){
            var ls=txt.substring(0,txt.indexOf(over))
            return ls
        }
    }else if(over==""){
        if (txt.indexOf(start)>-1){
            var ls=txt.substring(txt.indexOf(start)+start.length,txt.length)
            return ls
        }   
    }else{
        var aftertxt=txt.substring(txt.indexOf(start)+start.length,txt.length)
        if (txt.indexOf(start)>-1&&aftertxt.indexOf(over)>-1){
            var ls=aftertxt.substring(0,aftertxt.indexOf(over))
            return ls
        }
    }    

    return ""
}
pub.remainDays = function (datatime_str){//计算现在时间到将来某个时间还余多少天数
    var date=new Date();
    var time = datatime_str.replace(/-/g, ':').replace(' ', ':');
    time = time.split(':');
    var end = new Date(time[0], (time[1] - 1), time[2], time[3], time[4], time[5]);
 
     end=end.getTime();
    //时间差
    var leftTime = end - date;
    leftTime = Math.ceil(leftTime/1000/60/60/24)

    log("还余时间："+leftTime);//天
    return leftTime;
} 
pub.md5 = function (data){//兼容AU3
    var resn=java.math.BigInteger(1,java.security.MessageDigest.getInstance("MD5")
               .digest(java.lang.String(data).getBytes())).toString(16)
    var len=(resn+'').length

    if (len<32){
        for (var ii=0;ii<32-len;ii++){
            resn='0'+resn
        }
    }
    return resn.toUpperCase();
}

//判断是否为JSON格式
pub.isJsonString = function (str) {
    try {
        JSON.parse(str);
    } catch (e) {
        return false;
    }
    return true;
}

pub.randomString = function (len) {
    len = len || 32;
    var chars = 'ABCDEFGHJKMNPQRSTWXYZabcdefhijkmnprstwxyz2345678';    /****默认去掉了容易混淆的字符oOLl,9gq,Vv,Uu,I1****/
    var chars = 'ABCDEFGHJKMNPQRSTUVWXY2345678'
    var maxPos = chars.length;
    var pwd = '';
    for (i = 0; i < len; i++) {
    pwd += chars.charAt(Math.floor(Math.random() * maxPos));
    }
    return pwd;
}

pub._stringToHex = function (str){ //只能转英文和字符 与AU3兼容
    var val="";
    for(var i = 0; i < str.length; i++){
    if(val == "")
    val = str.charCodeAt(i).toString(16);
    else
    val += str.charCodeAt(i).toString(16);
    }
    return val.toUpperCase();
}
pub._stringToHex2 = function (str){ //只能转中文  与AU3中兼容  一般已经不用
    var txt = encodeURI(str)
    txt=txt.replace(/%/g,'')
    return txt;

}
pub.hexToString = function (data) { //只能转英文  一般用不上
    var result = "" ;
    var str = "";
    for (let i = 0;i < data.length; i++){
        result += data[i];
        if(i % 2 === 1){
        str += String.fromCharCode(parseInt(result,16));
        result = '';            
        } 
    }
    //var   // 将十进制数值转换为字符
    return str;
}

pub.hexToString2 = function (data) { //十六进转中文 只能转 与AU3中兼容
    var result = "" ;
    var str = strAddSign(data,2,"%")
    log(str)
    var result = decodeURI(str);

    return result;
}

function strAddSign(str,step,sign){ //间隔N位加符号，首段也要加在前面
    var result = "";
    for (let i = 0; i < str.length; i++){
        if (i % step == 0){
            result += sign+str[i];
        }else{
            result += str[i];
        }
    }
    return result;
}
pub.findAllControl = function(){ //查找遍历出APP界面所有控件
    var find=boundsInside(0,0,device.width,device.height).find()
    if (find.nonEmpty()){
        for(var i = 0; i < find.length; i++){
            var nc = find[i];
            var id=nc.id()+"";
            var desc=nc.desc()+"";
            var text=nc.text()+""
            log(id+"|"+desc+" | "+text)
        }

    }     
}
module.exports = pub;