"ui";
var weixin=""   //如果未设置某键，返回为null
var softname=""
var url=""

ui.layout(
    <drawer id="drawer">
<vertical gravity="top"  bg="#fcfcfd">
<appbar>
            <toolbar id="backbar" title="＜ 使用帮助"/>

</appbar>

        <card w="*" h="90" margin="10 5" cardCornerRadius="2dp" cardElevation="1dp">
            <vertical padding="18 1" h="auto">
                <text text="App需要什么权限？" textColor="#222222" textSize="16sp"/>
                <text text="App要模拟搜索股票代码，无障碍服务（也称辅助功能）权限是必须的。另外弹窗提示消息需要开启悬浮窗权限。保存用户设置的参数需要读写文件权限" textColor="#999999" textSize="14sp"/>
            </vertical>
            <View bg="#f44336" h="*" w="10"/>
        </card>
        <card w="*" h="100" margin="10 5" cardCornerRadius="2dp" cardElevation="1dp">
            <vertical padding="18 1" h="auto">
                <text text="如何开启权限？" textColor="#222222" textSize="16sp"/>
                <text text="在手机应用管理里，找到本App名称“{{app.getAppName('com.hylink.mob')}}”，找到权限并滑至开启状态。部分手机要先点击“已下载的应用”才能看到APP名称。不同手机操作方法不同，可百度或微信咨询" textColor="#999999" textSize="14sp"/>
            </vertical>
            <View bg="#eedb03" h="*" w="10"/>
        </card>
         <card w="*" h="65" margin="10 5" cardCornerRadius="2dp" cardElevation="1dp">
            <vertical padding="18 1" h="auto">
                <text text="支持哪几款手机炒股软件联动？" textColor="#222222" textSize="16sp"/>
                <text text="目前支持开盘啦（双向）、同花顺（双向）、通达信（被联）。其它股软可联系我们适配" textColor="#999999" textSize="14sp"/>
            </vertical>
            <View bg="#2196f3" h="*" w="10"/>
        </card>
        <card id="openurl" w="*" h="70" margin="10 5" cardCornerRadius="2dp" cardElevation="1dp">
            <vertical padding="18 1" h="auto">
                <text text="电脑端需要安装软件吗？" textColor="#222222" textSize="16sp"/>
                <text text="电脑端必须安装我们的{{softname}}联动电脑版，官网下载" textColor="#999999" textSize="14sp"/>
            </vertical>
            <View bg="#c403ee" h="*" w="10"/>
        </card>
        <card w="*" h="140" margin="10 5" cardCornerRadius="2dp" cardElevation="1dp">
            <vertical padding="18 1" h="auto">
                <text text="手机端联动电脑端如何操作？" textColor="#222222" textSize="16sp"/>
                <text text="电脑端软件运行后，点工具条中的“网络”按钮，选择“互联网模式”。在确保群组编号与手机APP上的相同后开启连接。连接后在“联动设置”的主联列表中就会有手机端这项。然后在“股软导入”中勾选被联股软，点“仅导入”按钮，导入后即可在“联动设置”中点击各被联项，在底下选手机端作为它们的主联即可联动了" textColor="#999999" textSize="14sp"/>
            </vertical>
            <View bg="#0ed7de" h="*" w="10"/>
        </card>
        <card w="*" h="110" margin="10 5" cardCornerRadius="2dp" cardElevation="1dp">
            <vertical padding="18 1" h="auto">
                <text text="电脑端如何联动手机？" textColor="#222222" textSize="16sp"/>
                <text text="电脑端软件运行后，点工具条中的“网络”按钮，选择“互联网模式”，开启连接后，手机上自动会出现作为主联的股软记录，然后在手机端不退出的情况下，切到股软APP主界面操作即可" textColor="#999999" textSize="14sp"/>
            </vertical>
            <View bg="#eedb03" h="*" w="10"/>
        </card>
        <card w="*" h="70" margin="10 5" cardCornerRadius="2dp" cardElevation="1dp">
            <vertical padding="18 1" h="auto">
                <text text="App安全吗，会否造成隐私泄露？" textColor="#222222" textSize="16sp"/>
                <text text="本App为开源项目，软件不索取除获取、模拟输入股票代码以外的任何权限或数据" textColor="#999999" textSize="14sp"/>
            </vertical>
            <View bg="#4caf50" h="*" w="10"/>
        </card>       
    </vertical>

    </drawer>  
);

ui.backbar.on("click", function() {
    exit();
})
ui.openurl.on("click", function() {
    app.openUrl(url)
})
