"ui";
var AppName="联动手机端"
var ini=storages.create("soft");
var waring = "注意：如果授权失败，程序将报错退出！"

var step=null
var AccessOk=0
if (ini.contains("AccessOk")){
    AccessOk=ini.get("AccessOk")
    log("读取AccessOk:"+AccessOk)
}


if (AccessOk==0){
    Welcome()
}else{
    start()
}

function start(){//启动函数    
    engines.execScriptFile("./主界面.js");
    exit();
}

function Color(color){ //转换颜色
    return android.graphics.Color.parseColor(color);
}
function GradientDrawable(orientation,color){
    var colors=[];
    color.forEach(color=>colors.push(Color(color)));
    return new android.graphics.drawable.GradientDrawable(android.graphics.drawable.GradientDrawable.Orientation[orientation],colors);
}
function Welcome(){
    activity.window.addFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);//设置全屏
    ui.layout(
        <relative>
            <viewpager id="viewpager">
                <vertical id="permissionpage">
                    <frame id="waring" w="*">
                    <card w="*" h="auto" cardElevation="2dp" bg="#ffff00">  

                    </card>  
                    </frame>  
                    <vertical marginTop="80" gravity="center">
                        <text text="必要权限" textSize="35sp" textColor="#FFFFFF" gravity="center"/>

                        <horizontal gravity="top|center" marginTop="55" marginBottom="0">
                        <vertical>
                        <text text=" • 无障碍辅助权限" textSize="20sp" textColor="#FFFFFF" gravity="left"/>
                        <text text="      （无障碍辅助功能权限）" marginTop="0" textSize="13sp" textColor="#A0FFFFFF" gravity="left"/>
                        </vertical>
                        <text id="permission" text="去授权 >>" marginLeft="20" textSize="17sp" textColor="#A0e9ec08"/>
                        </horizontal>



                        <horizontal gravity="top|center" marginTop="15" >
                        
                        <vertical>
                        <text text=" • 悬浮窗功能权限" textSize="20sp" textColor="#FFFFFF" gravity="left"/>
                        <text text="      （出现在其它应用上权限）" marginTop="0" textSize="13sp" textColor="#A0FFFFFF" gravity="left"/>
                        </vertical>
                        <text id="permission2" text="去授权 >>" marginLeft="20" textSize="17sp" textColor="#A0e9ec08"/>
                        </horizontal>


                        <text id="help" marginTop="35" text="【使用帮助】" textSize="15sp" textColor="#A0FFFFFF" gravity="center" layout_alignParentBottom="true" layout_centerHorizontal="true"/>

                        <text id="start2" text="开始使用" textSize="20sp" textColor="#A0FFFFFF" gravity="center" marginTop="50"/>
                        <card id="start" cardBackgroundColor="#ECEFF1" w="50" h="50" cardCornerRadius="25" marginTop="20" gravity="center">
                            <img w="30" h="30" src="@drawable/ic_keyboard_arrow_right_black_48dp"/>
                        </card>    
                </vertical>
                </vertical>
                <text id="help" marginTop="35" text="忽略权限 直接进入" textSize="15sp" textColor="#A0FFFFFF" gravity="center" layout_alignParentBottom="true" layout_centerHorizontal="true"/>
            </viewpager>

        </relative>
    );

    ui.viewpager.overScrollMode=android.view.View.OVER_SCROLL_NEVER;//删除滑动到底时的边缘阴影
    ui.permissionpage.backgroundDrawable=GradientDrawable("TL_BR",["#1f4c4e","#094244","#124244"]);

    UpdateAccessList()

    ui.permission.click(()=>{
        getAutoAccess()
    });

    ui.permission2.click(()=>{
        getFloatAccess();
    });
          
    ui.start.click(()=>{
        next()
    });
    ui.start2.click(()=>{
        next()
    });
    function next(){
         var Test1=TestAutoAccess()
        var Test2=TestFloatAccess()
        if(!Test1){
            toast("请先开启无障碍权限")

        }else if(!Test2){
            toast("请先开启悬浮窗权限")
    
        }else{            
            start();
            ui.finish();
            setTimeout(function(){exit();},1000);        
        }       
    }
    ui.help.click(()=>{
        engines.execScriptFile("帮助.js");
    });

    //返回时
    ui.emitter.on("resume", function() {
        UpdateAccessList()
    });

}

function UpdateAccessList(){

    if(TestAutoAccess()){
        ui.permission.setText("已授权 ok");
        ui.permission.setTextColor(Color("#e9ec08"))
    }else{
        ui.permission.setText("去授权 >>");
        ui.permission.setTextColor(Color("#ff0000"))
    }  
    if (TestFloatAccess()){
        ui.permission2.setText("已授权 ok"); 
        ui.permission2.setTextColor(Color("#e9ec08"))
    }else{
        ui.permission2.setText("去授权 >>"); 
        ui.permission2.setTextColor(Color("#ff0000"))
    }
         
}

function TestAutoAccess(){//获取缺失权限列表
    if(auto.service==null) return false
    return true
}
function TestFloatAccess(){

    return floaty.checkPermission()
}
function getAutoAccess(){//根据缺失权限列表，申请授权，每次只进行一种权限的申请

        try{auto()}catch(e){};

}
function getFloatAccess(){//根据缺失权限列表，申请授权，每次只进行一种权限的申请

        //app.openAppSetting("org.autojs.autojspro");//暂时用autojs权限，打包时要改成自身权限
        app.startActivity({
            action: "android.settings.action.MANAGE_OVERLAY_PERMISSION"//在其他应用上层显示,悬浮窗
        });  
}
